Description

In some cases QGIS services are exposed on multiple URL endpoints. 

GetCapabilities response now takes into account fcgi params like SERVER_PORT and SERVER_NAME.

Unfortunately, neither SERVER_PROTOCOL nor REQUEST_URI are taken into account, so web server has to parse the backend

response and replace it with appropriate values. 

Could've been much better if QGIS used additional fcgi params to generate Capabilities.

History

#1 - 2019-02-28 02:25 PM - Alessandro Pasotti

- Status changed from Open to Feedback

You don't say which version of QGIS server are you talking about, btw, current master does read both `HTTPS` and `REQUEST_URI` from the env.

#2 - 2019-03-01 01:14 PM - Nikolay Lebedev

I'm using QGIS 3.4. 

Did it land in 3.6?

#3 - 2019-03-01 02:59 PM - Alessandro Pasotti

Yes, and it was backported to 3.4 23 days ago.

#4 - 2019-03-01 03:16 PM - Jürgen Fischer

master (and 3.6): commit:4d609ff46 (and commit:691176b39)

3.4: commit:dafbef1e7 (and commit:823f2dd39)
